%define	name	libselinux
%define	version	1.21.11
%define	release	1mdk
%define	major	1
%define libname	%mklibname selinux %{major}

Summary:	SELinux library and simple utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.nsa.gov/selinux/
License:	Public Domain
Source0:	%{name}-%{version}.tar.bz2
#Patch0:		libselinux-rhat.patch.bz2
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Security-enhanced Linux is a patch of the Linux® kernel and a
number of utilities with enhanced security functionality designed
to add mandatory access controls to Linux. The Security-enhanced
Linux kernel contains new architectural components originally
developed to improve the security of the Flask operating system.
These architectural components provide general support for the
enforcement of many kinds of mandatory access control policies,
including those based on the concepts of Type Enforcement®,
Role-based Access Control, and Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%package -n	%{libname}
Summary:	SELinux library and simple utilities
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%package -n	%{libname}-devel
Summary:	Development libraries and header files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
The selinux-devel package contains the static libraries and header
files needed for developing SELinux applications. 

%package	utils
Summary:	Utilities for %{name}
Group:		System/Kernel and hardware

%description	utils
This package contains numerous applications utilizing %{name}.

%prep
%setup -q
#%patch0 -p1 -b .rhat

%build
%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir} 
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}/%{_lib} 
install -d %{buildroot}%{_mandir}/man3

%{makeinstall_std}	LIBDIR="%{buildroot}%{_libdir}" \
			SHLIBDIR="%{buildroot}/%{_lib}"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/libselinux.so.*

%files utils
%defattr(-,root,root)
%doc ChangeLog LICENSE
%{_sbindir}/*
%{_mandir}/man?/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/selinux/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Wed Mar 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.21.11-1mdk
- 1.21.11

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.21.9-1mdk
- 1.21.9
- sync with fedora patch

* Tue Feb 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.21.4-1mdk
- 1.21.4
- drop useless provides

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.20.1-1mdk
- 1.20.1

* Mon Jan 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.19.4-1mdk
- 1.19.4

* Fri Dec 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.19.3-1mdk
- 1.19.3
- drop P0

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.19.1-1mdk
- 1.19.1
- sync with fedora patch

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.18-1mdk
- 1.18

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15.4-2mdk
- fix provides

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15.4-1mdk
- 1.15.4
- sync patch with fedora
- drop useless-explicit-provides

* Sun Jul 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15.1-1mdk
- 1.15.1

* Wed Jul 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14.1-1mdk
- 1.14.1
- drop P1 (merged upstream)

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- drop P0 (merged upstream)
- add nlclass patch (P1 from fedora)

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.13.3-1mdk
- 1.13.3
- update P0 from fedora
- add man pages

* Thu Dec 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-1mdk
- initial cooker contrib
- ripped parts from fedora, but adapted for mandrake
